HtmlRichMessage (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlRichMessage class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlRichMessage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIMessage
                  org.richfaces.component.UIRichMessage
                      org.richfaces.component.html.HtmlRichMessage

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxOutput

    public class HtmlRichMessage

extends UIRichMessage

Component-Type org.richfaces.component.RichMessage Component-Family org.richfaces.component.RichMessage Renderer-Type org.richfaces.RichMessageRenderer richfaces Message Component

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Constructor Summary
`HtmlRichMessage()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getErrorClass()` CSS style class to apply to any message with a severity class of "ERROR" Getter for errorClass
`java.lang.String` | `getErrorLabelClass()` CSS style class to apply to any message label with a severity class of "ERROR" Getter for errorLabelClass
`java.lang.String` | `getErrorMarkerClass()` CSS style class to apply to any message marker with a severity class of "ERROR" Getter for errorMarkerClass
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFatalClass()` CSS style class to apply to any message with a severity class of "FATAL" Getter for fatalClass
`java.lang.String` | `getFatalLabelClass()` CSS style class to apply to any message label with a severity class of "FATAL" Getter for fatalLabelClass
`java.lang.String` | `getFatalMarkerClass()` CSS style class to apply to any message marker with a severity class of "FATAL" Getter for fatalMarkerClass
`java.lang.String` | `getInfoClass()` CSS style class to apply to any message with a severity class of "INFO" Getter for infoClass
`java.lang.String` | `getInfoLabelClass()` CSS style class to apply to any message label with a severity class of "INFO" Getter for infoLabelClass
`java.lang.String` | `getInfoMarkerClass()` CSS style class to apply to any message marker with a severity class of "INFO" Getter for infoMarkerClass
`java.lang.String` | `getLabelClass()` CSS style class to apply to label Getter for labelClass
`java.lang.String` | `getMarkerClass()` CSS style class to apply to marker Getter for markerClass
`java.lang.String` | `getMarkerStyle()` CSS style(s) is/are to be applied to marker when this component is rendered Getter for markerStyle
`java.lang.String` | `getPassedLabel()` Attribute should define the label to be displayed when no message appears Getter for passedLabel
`java.lang.String` | `getStyle()` The CSS style for message Getter for style
`java.lang.String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
`java.lang.String` | `getTitle()` Advisory title information about markup elements generated for this component Getter for title
`java.lang.String` | `getWarnClass()` CSS style class to apply to any message with a severity class of "WARN" Getter for warnClass
`java.lang.String` | `getWarnLabelClass()` CSS style class to apply to any message label with a severity class of "WARN" Getter for warnLabelClass
`java.lang.String` | `getWarnMarkerClass()` CSS style class to apply any message marker with a severity class of "WARN" Getter for warnMarkerClass
`boolean` | `isKeepTransient()` Flag for mark all child components to non-transient.
`boolean` | `isTooltip()` Flag indicating whether the detail portion of the message should be displayed as a tooltip Getter for tooltip
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setErrorClass(java.lang.String __errorClass)` CSS style class to apply to any message with a severity class of "ERROR" Setter for errorClass
`void` | `setErrorLabelClass(java.lang.String __errorLabelClass)` CSS style class to apply to any message label with a severity class of "ERROR" Setter for errorLabelClass
`void` | `setErrorMarkerClass(java.lang.String __errorMarkerClass)` CSS style class to apply to any message marker with a severity class of "ERROR" Setter for errorMarkerClass
`void` | `setFatalClass(java.lang.String __fatalClass)` CSS style class to apply to any message with a severity class of "FATAL" Setter for fatalClass
`void` | `setFatalLabelClass(java.lang.String __fatalLabelClass)` CSS style class to apply to any message label with a severity class of "FATAL" Setter for fatalLabelClass
`void` | `setFatalMarkerClass(java.lang.String __fatalMarkerClass)` CSS style class to apply to any message marker with a severity class of "FATAL" Setter for fatalMarkerClass
`void` | `setInfoClass(java.lang.String __infoClass)` CSS style class to apply to any message with a severity class of "INFO" Setter for infoClass
`void` | `setInfoLabelClass(java.lang.String __infoLabelClass)` CSS style class to apply to any message label with a severity class of "INFO" Setter for infoLabelClass
`void` | `setInfoMarkerClass(java.lang.String __infoMarkerClass)` CSS style class to apply to any message marker with a severity class of "INFO" Setter for infoMarkerClass
`void` | `setKeepTransient(boolean __keepTransient)` Flag for mark all child components to non-transient.
`void` | `setLabelClass(java.lang.String __labelClass)` CSS style class to apply to label Setter for labelClass
`void` | `setMarkerClass(java.lang.String __markerClass)` CSS style class to apply to marker Setter for markerClass
`void` | `setMarkerStyle(java.lang.String __markerStyle)` CSS style(s) is/are to be applied to marker when this component is rendered Setter for markerStyle
`void` | `setPassedLabel(java.lang.String __passedLabel)` Attribute should define the label to be displayed when no message appears Setter for passedLabel
`void` | `setStyle(java.lang.String __style)` The CSS style for message Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Space-separated list of CSS style class(es) to be applied when this element is rendered.
`void` | `setTitle(java.lang.String __title)` Advisory title information about markup elements generated for this component Setter for title
`void` | `setTooltip(boolean __tooltip)` Flag indicating whether the detail portion of the message should be displayed as a tooltip Setter for tooltip
`void` | `setWarnClass(java.lang.String __warnClass)` CSS style class to apply to any message with a severity class of "WARN" Setter for warnClass
`void` | `setWarnLabelClass(java.lang.String __warnLabelClass)` CSS style class to apply to any message label with a severity class of "WARN" Setter for warnLabelClass
`void` | `setWarnMarkerClass(java.lang.String __warnMarkerClass)` CSS style class to apply any message marker with a severity class of "WARN" Setter for warnMarkerClass

Methods inherited from class org.richfaces.component.UIRichMessage
`decode, encodeEnd, isAjaxRendered, isPassed, setAjaxRendered`

Methods inherited from class javax.faces.component.UIMessage
`getFor, isShowDetail, isShowSummary, setFor, setShowDetail, setShowSummary`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeBegin, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlRichMessage

    public HtmlRichMessage()

  Constructor to init default renderers

Method Detail

### setMarkerStyle

    public void setMarkerStyle(java.lang.String __markerStyle)

  CSS style(s) is/are to be applied to marker when this component is rendered Setter for markerStyle

  Parameters:
    `markerStyle` - - new value

### getMarkerStyle

    public java.lang.String getMarkerStyle()

  CSS style(s) is/are to be applied to marker when this component is rendered Getter for markerStyle

  Returns:
    markerStyle value from local variable or value bindings

### setTitle

    public void setTitle(java.lang.String __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### getTitle

    public java.lang.String getTitle()

  Advisory title information about markup elements generated for this component Getter for title

  Returns:
    title value from local variable or value bindings

### setTooltip

    public void setTooltip(boolean __tooltip)

  Flag indicating whether the detail portion of the message should be displayed as a tooltip Setter for tooltip

  Parameters:
    `tooltip` - - new value

### isTooltip

    public boolean isTooltip()

  Flag indicating whether the detail portion of the message should be displayed as a tooltip Getter for tooltip

  Returns:
    tooltip value from local variable or value bindings

### setWarnMarkerClass

    public void setWarnMarkerClass(java.lang.String __warnMarkerClass)

  CSS style class to apply any message marker with a severity class of "WARN" Setter for warnMarkerClass

  Parameters:
    `warnMarkerClass` - - new value

### getWarnMarkerClass

    public java.lang.String getWarnMarkerClass()

  CSS style class to apply any message marker with a severity class of "WARN" Getter for warnMarkerClass

  Returns:
    warnMarkerClass value from local variable or value bindings

### setPassedLabel

    public void setPassedLabel(java.lang.String __passedLabel)

  Attribute should define the label to be displayed when no message appears Setter for passedLabel

  Specified by:
    `setPassedLabel` in class `UIRichMessage`
  Parameters:
    `passedLabel` - - new value

### getPassedLabel

    public java.lang.String getPassedLabel()

  Attribute should define the label to be displayed when no message appears Getter for passedLabel

  Specified by:
    `getPassedLabel` in class `UIRichMessage`
  Returns:
    passedLabel value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setFatalMarkerClass

    public void setFatalMarkerClass(java.lang.String __fatalMarkerClass)

  CSS style class to apply to any message marker with a severity class of "FATAL" Setter for fatalMarkerClass

  Parameters:
    `fatalMarkerClass` - - new value

### getFatalMarkerClass

    public java.lang.String getFatalMarkerClass()

  CSS style class to apply to any message marker with a severity class of "FATAL" Getter for fatalMarkerClass

  Returns:
    fatalMarkerClass value from local variable or value bindings

### setKeepTransient

    public void setKeepTransient(boolean __keepTransient)

  Flag for mark all child components to non-transient. If "true", all children components will be set to non-transient state and keep in saved components tree. For output in self-renderer region all content (By default, all content in &lt;f:verbatim&gt; tags and non-jsf elements in facelets, marked as transient - since, self-rendered ajax regions don't plain output for ajax processing). Setter for keepTransient

  Parameters:
    `keepTransient` - - new value

### isKeepTransient

    public boolean isKeepTransient()

  Flag for mark all child components to non-transient. If "true", all children components will be set to non-transient state and keep in saved components tree. For output in self-renderer region all content (By default, all content in &lt;f:verbatim&gt; tags and non-jsf elements in facelets, marked as transient - since, self-rendered ajax regions don't plain output for ajax processing). Getter for keepTransient

  Returns:
    keepTransient value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  The CSS style for message Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  The CSS style for message Getter for style

  Returns:
    style value from local variable or value bindings

### setInfoMarkerClass

    public void setInfoMarkerClass(java.lang.String __infoMarkerClass)

  CSS style class to apply to any message marker with a severity class of "INFO" Setter for infoMarkerClass

  Parameters:
    `infoMarkerClass` - - new value

### getInfoMarkerClass

    public java.lang.String getInfoMarkerClass()

  CSS style class to apply to any message marker with a severity class of "INFO" Getter for infoMarkerClass

  Returns:
    infoMarkerClass value from local variable or value bindings

### setFatalLabelClass

    public void setFatalLabelClass(java.lang.String __fatalLabelClass)

  CSS style class to apply to any message label with a severity class of "FATAL" Setter for fatalLabelClass

  Parameters:
    `fatalLabelClass` - - new value

### getFatalLabelClass

    public java.lang.String getFatalLabelClass()

  CSS style class to apply to any message label with a severity class of "FATAL" Getter for fatalLabelClass

  Returns:
    fatalLabelClass value from local variable or value bindings

### setFatalClass

    public void setFatalClass(java.lang.String __fatalClass)

  CSS style class to apply to any message with a severity class of "FATAL" Setter for fatalClass

  Parameters:
    `fatalClass` - - new value

### getFatalClass

    public java.lang.String getFatalClass()

  CSS style class to apply to any message with a severity class of "FATAL" Getter for fatalClass

  Returns:
    fatalClass value from local variable or value bindings

### setInfoLabelClass

    public void setInfoLabelClass(java.lang.String __infoLabelClass)

  CSS style class to apply to any message label with a severity class of "INFO" Setter for infoLabelClass

  Parameters:
    `infoLabelClass` - - new value

### getInfoLabelClass

    public java.lang.String getInfoLabelClass()

  CSS style class to apply to any message label with a severity class of "INFO" Getter for infoLabelClass

  Returns:
    infoLabelClass value from local variable or value bindings

### setMarkerClass

    public void setMarkerClass(java.lang.String __markerClass)

  CSS style class to apply to marker Setter for markerClass

  Parameters:
    `markerClass` - - new value

### getMarkerClass

    public java.lang.String getMarkerClass()

  CSS style class to apply to marker Getter for markerClass

  Returns:
    markerClass value from local variable or value bindings

### setInfoClass

    public void setInfoClass(java.lang.String __infoClass)

  CSS style class to apply to any message with a severity class of "INFO" Setter for infoClass

  Parameters:
    `infoClass` - - new value

### getInfoClass

    public java.lang.String getInfoClass()

  CSS style class to apply to any message with a severity class of "INFO" Getter for infoClass

  Returns:
    infoClass value from local variable or value bindings

### setErrorLabelClass

    public void setErrorLabelClass(java.lang.String __errorLabelClass)

  CSS style class to apply to any message label with a severity class of "ERROR" Setter for errorLabelClass

  Parameters:
    `errorLabelClass` - - new value

### getErrorLabelClass

    public java.lang.String getErrorLabelClass()

  CSS style class to apply to any message label with a severity class of "ERROR" Getter for errorLabelClass

  Returns:
    errorLabelClass value from local variable or value bindings

### setLabelClass

    public void setLabelClass(java.lang.String __labelClass)

  CSS style class to apply to label Setter for labelClass

  Parameters:
    `labelClass` - - new value

### getLabelClass

    public java.lang.String getLabelClass()

  CSS style class to apply to label Getter for labelClass

  Returns:
    labelClass value from local variable or value bindings

### setErrorMarkerClass

    public void setErrorMarkerClass(java.lang.String __errorMarkerClass)

  CSS style class to apply to any message marker with a severity class of "ERROR" Setter for errorMarkerClass

  Parameters:
    `errorMarkerClass` - - new value

### getErrorMarkerClass

    public java.lang.String getErrorMarkerClass()

  CSS style class to apply to any message marker with a severity class of "ERROR" Getter for errorMarkerClass

  Returns:
    errorMarkerClass value from local variable or value bindings

### setWarnLabelClass

    public void setWarnLabelClass(java.lang.String __warnLabelClass)

  CSS style class to apply to any message label with a severity class of "WARN" Setter for warnLabelClass

  Parameters:
    `warnLabelClass` - - new value

### getWarnLabelClass

    public java.lang.String getWarnLabelClass()

  CSS style class to apply to any message label with a severity class of "WARN" Getter for warnLabelClass

  Returns:
    warnLabelClass value from local variable or value bindings

### setWarnClass

    public void setWarnClass(java.lang.String __warnClass)

  CSS style class to apply to any message with a severity class of "WARN" Setter for warnClass

  Parameters:
    `warnClass` - - new value

### getWarnClass

    public java.lang.String getWarnClass()

  CSS style class to apply to any message with a severity class of "WARN" Getter for warnClass

  Returns:
    warnClass value from local variable or value bindings

### setErrorClass

    public void setErrorClass(java.lang.String __errorClass)

  CSS style class to apply to any message with a severity class of "ERROR" Setter for errorClass

  Parameters:
    `errorClass` - - new value

### getErrorClass

    public java.lang.String getErrorClass()

  CSS style class to apply to any message with a severity class of "ERROR" Getter for errorClass

  Returns:
    errorClass value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIMessage`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIMessage`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.